      character*56 name,name1
      dimension x(3)
      write(*,1000)
 1000 format('$Enter input file name: ')
      read(*,1100) name
 1100 format(a)
      call xopen(8,name,'old','read',itype,ierr)
      if(ierr.ne.0) stop 'Cannot open file'
      if(itype.ge.0) stop 'Not an ascii file'
      write(*,1150)
 1150 format('$Enter output file name: ')
      read(*,1100) name1
      call xopen(9,name1,'new','write',0,ierr)
      if(ierr.ne.0) stop 'Error opening file'
   10 read(8,*,end=15) x
 1200 format(3f11.5)
      call xioxyz('w',9,x,3,ierr)
      go to 10
   15 close(8)
      call xclose(9,'keep')
      end
